classification
Title: extended slicing for buffer objects
Type: Stage:
Components: Interpreter Core Versions: Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: twouters Nosy List: josiahcarlson, twouters
Priority: normal Keywords: patch

Created on 2006-12-18 04:45 by twouters, last changed 2007-08-28 15:31 by twouters. This issue is now closed.

Files
File name Uploaded Description Edit
noslice.buffer.diff twouters, 2006-12-18 04:45
Messages (3)
msg51575 - (view) Author: Thomas Wouters (twouters) * (Python committer) Date: 2006-12-18 04:45
extended slicing support for buffer objects. Including slice assignment, but I don't know of a way to test assignment.
(Backported from p3yk-noslice branch.)
msg51576 - (view) Author: Josiah Carlson (josiahcarlson) * (Python triager) Date: 2007-01-07 05:19
As per current trunk source, read-write buffers can only be created via the CPython API.
msg55372 - (view) Author: Thomas Wouters (twouters) * (Python committer) Date: 2007-08-28 15:31
Committed revision 57619.
History
Date User Action Args
2007-08-28 15:31:59twouterssetstatus: open -> closed
assignee: twouters
resolution: fixed
messages: + msg55372
2006-12-18 04:45:45twouterscreate